v0.0.3
OpenAPI 3.0.3

Automated Linking, Scaled.

Authentication

Subjct supports two authentication methods:

  1. User Authentication

    -H "Authorization: Bearer <User-Authentication-Token>"
    
  2. Secret Keys

    -H "X-Secret-Key: <Organisation-Secret-Key>"
    

We have done this so that it is easier to integrate with Subjct API's. Most of the endpoints support both authentication methods.

Server:https://api.subjct.ai
No authentication selected
Client Libraries

auth

Authentication

Login

Login

Body·
application/json

Login Object

  • email
    Type: string Format: email
  • password
    Type: string
Responses
  • application/json
  • application/json
Request Example for post/auth/login
curl https://api.subjct.ai/auth/login \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "",
  "password": "examplePassword"
}'
{
  "token": "a long jwt token"
}

Signup

Signup

Body·
application/json

Signup Object

    • email
      Type: string Format: email
      required
    • orgName
      Type: string
      required

      Organisation name, required if creating a new organisation

    • password
      Type: string Format: password
      required

      a hint to UIs to mask the input

    • orgId
      Type: string

      Organisation ID, required if joining an existing organisation

Responses
  • application/json
  • application/json
Request Example for post/auth/signup
curl https://api.subjct.ai/auth/signup \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "user@example.com",
  "password": "secretPassword123",
  "orgName": "My Organization",
  "orgId": "123e4567-e89b-12d3-a456-426614174000"
}'
success

org (Collapsed)

Organisation

google-analytics (Collapsed)

Google Analytics Endpoints

webhooks (Collapsed)

Models